Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgUtil::Optimizer::MergeGeometryVisitor Class Reference

Inheritance diagram for osgUtil::Optimizer::MergeGeometryVisitor:

[legend]
List of all members.

## Public Member Functions
| MergeGeometryVisitor (Optimizer *optimizer=0)
| default to traversing all children.
void | setTargetMaximumNumberOfVertices (unsigned int num)
unsigned int | getTargetMaximumNumberOfVertices () const
virtual void | apply (osg::Geode &geode)
virtual void | apply (osg::Billboard &)
bool | mergeGeode (osg::Geode &geode)
## Static Public Member Functions
bool | geometryContainsSharedArrays (osg::Geometry &geom)
bool | mergeGeometry (osg::Geometry &lhs, osg::Geometry &rhs)
bool | mergePrimitive (osg::DrawArrays &lhs, osg::DrawArrays &rhs)
bool | mergePrimitive (osg::DrawArrayLengths &lhs, osg::DrawArrayLengths &rhs)
bool | mergePrimitive (osg::DrawElementsUByte &lhs, osg::DrawElementsUByte &rhs)
bool | mergePrimitive (osg::DrawElementsUShort &lhs, osg::DrawElementsUShort &rhs)
bool | mergePrimitive (osg::DrawElementsUInt &lhs, osg::DrawElementsUInt &rhs)
## Protected Attributes
unsigned int | _targetMaximumNumberOfVertices

## Constructor & Destructor Documentation

osgUtil::Optimizer::MergeGeometryVisitor::MergeGeometryVisitor | ( | Optimizer * | optimizer = 0 | ) | `[inline]`

| default to traversing all children.

## Member Function Documentation

virtual void osgUtil::Optimizer::MergeGeometryVisitor::apply | ( | osg::Billboard & |  | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

virtual void osgUtil::Optimizer::MergeGeometryVisitor::apply | ( | osg::Geode & | geode | ) | `[inline, virtual]`

| Reimplemented from osg::NodeVisitor.

bool osgUtil::Optimizer::MergeGeometryVisitor::geometryContainsSharedArrays | ( | osg::Geometry & | geom | ) | `[static]`

unsigned int osgUtil::Optimizer::MergeGeometryVisitor::getTargetMaximumNumberOfVertices | ( |  | ) | const`[inline]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergeGeode | ( | osg::Geode & | geode | ) |

bool osgUtil::Optimizer::MergeGeometryVisitor::mergeGeometry | ( | osg::Geometry & | lhs,
|  | osg::Geometry & | rhs
| ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUInt & | lhs,
|  | osg::DrawElementsUInt & | rhs
| ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUShort & | lhs,
|  | osg::DrawElementsUShort & | rhs
| ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawElementsUByte & | lhs,
|  | osg::DrawElementsUByte & | rhs
| ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawArrayLengths & | lhs,
|  | osg::DrawArrayLengths & | rhs
| ) | `[static]`

bool osgUtil::Optimizer::MergeGeometryVisitor::mergePrimitive | ( | osg::DrawArrays & | lhs,
|  | osg::DrawArrays & | rhs
| ) | `[static]`

void osgUtil::Optimizer::MergeGeometryVisitor::setTargetMaximumNumberOfVertices | ( | unsigned int | num | ) | `[inline]`

## Member Data Documentation

unsigned int osgUtil::Optimizer::MergeGeometryVisitor::_targetMaximumNumberOfVertices`[protected]`

The documentation for this class was generated from the following file:

- Optimizer